Subject: Re: [PATCH v2 net-next] tcp: switch rtt estimations to usec resolution

From: Andi Kleen <[email-masked]>
Date: Fri, 28 Feb 2014 14:31:27 +0100

> Right, so I cooked this instead :
> 
> http://git.kernel.org/cgit/linux/kernel/git/davem/net-next.git/commit/?id=363ec392352e55c61ce2799c3f15f89f9429bba7
> 
> Is this OK or do you see a problem with this ?

It seems mostly ok. I assume the compiler optimizes the constant do_div to a
multiplication?

I'm not sure it's better than ktime() if it works. So it may be still
better to have some global flag that says "ktime is slow" and
qualify it on that.  But that would need changing the timer
subsystem.

-Andi

-- 
[email-masked] -- Speaking for myself only.